Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Suggestion:

E.g. if Issue #1 precedes Issue #2, this is taken into account in the gantt by listing them after each other in time,

chronological.

However - it would be nice if:

They were listed below each other (sequent row) and/or

Connected by a line or arrow

Related issues:

Related to Redmine - Feature #3436: Show relations in Gantt diagram Closed 2009-06-02

History

#1 - 2009-01-07 02:14 - Daniel Cestari

This issue was created almost a year ago, I don't see why no one has taken this or commented out.

It is a major issue when using redmine as a replacement for a desktop-file-based application like Microsoft Project, Openproj and such.

If anyone could help even I could give it a shot.

#2 - 2009-01-07 23:37 - Alon Bar-Lev

Yes, I think that gantt is unusable if it does not indicate task dependencies.

Also, the gantt does not show tasks without start time... But if we know that task1 is 40 hours and task2 is dependent on task1 and is 20 hours, we

can produce reasonable gantt from this data.

#3 - 2009-01-07 23:54 - Mischa The Evil

Alon Bar-Lev wrote:

Also, the gantt does not show tasks without start time...

 Unless these tasks (issues) are having their respective 'target version'-field set to a version which has a due date actually set, because then the

issues are displayed in the Gantt-chart using their respective 'target version's due date.

This is implemented in r1455, thus available in the recently released Redmine 0.8.

#4 - 2010-02-19 16:07 - Richard Schulte

+ 1... This (issue dependencies in Gantt) would be a great feature for 1.0 ...  wink wink

What are the main technical roadblocks to making this awesome feature a reality?

#5 - 2010-02-22 07:14 - Jeffrey Jones

Have a look at #4786 . Eric Davis is working on some new Gantt goodness by the looks of it.

#6 - 2010-06-25 20:04 - Felix Faber

Jeffrey Jones wrote:

Have a look at #4786 . Eric Davis is working on some new Gantt goodness by the looks of it.
 Will it show dependencies? I could not find it there. If it does, then +1 for #4786, if not, then this task +1!!! Thanks ;). Great project btw.

#7 - 2010-06-26 01:17 - David Parker

+1

It looks like you've closed scope for 1.0.  Please consider for 1.1.

#8 - 2010-07-04 10:43 - Amr Noaman

+1

It would really replace other tools like microsoft project, which I only use it for diagramming Gantt charts!

#9 - 2010-09-21 14:02 - Louis Simons

+1

This and #4786 are the only big features allowing me to make a case for migrating my company's project to Redmine.  Are there any development

tasks a Ruby novice could help with in his spare time?

#10 - 2010-09-21 15:31 - Daniel Schuba

+1

#11 - 2010-10-03 15:13 - Mischa The Evil

- Category set to Gantt

#12 - 2010-11-07 19:48 - Sam Kuper

+1

#13 - 2010-12-07 21:34 - Kyle Plattner

+1

#14 - 2011-02-24 16:14 - Mauro Gagna

+1, I think this feature (issue/task dependencies in Gantt) is a must for a real use of Gantt chart and proyect planning.

#15 - 2011-03-01 23:33 - Alexey Kuleshov

Guys, please check my plugin http://www.redmine.org/plugins/redmine_better_gantt_chart. It does exactly this - shows task dependencies with

arrows on the gantt chart.

#16 - 2011-03-02 14:43 - Pavel Shalagin

Alexey -

Thank you. It looks great! But unfortunately (for me) it doesn't seem working with "gantt chart editting" patch #2024 - a very handy one as well indeed.

Hopefully that edit feature will become a part of the trunk some day. So you could update the plugin appropriately.

Regards,

Pavel

#17 - 2011-03-02 20:28 - Rodrigo  Nanjarí

Very useful extension, installed on my 1.1.1 redmine version with no problem.

thanks a lot!!

#18 - 2011-03-03 07:56 - Alexey Kuleshov

pavel ochman - yes I can update the plugin to work with patch #2024, it should not be difficult. But, the downside is that I'll have to maintain two

versions of plugin until #2024 is in trunk.

I'll post an update here when this is available.

#19 - 2011-03-07 16:20 - Alexey Kuleshov

pavel ochman - I released v.0.2.1 compatible with patch #2024, you can download this version here 

http://www.redmine.org/attachments/5523/redmine_better_gantt_chart-0.2.1-patch2024.zip.

Please let me know how it works.
#20 - 2011-08-26 18:04 - Aleksey Dubov

+1

#21 - 2012-06-08 16:04 - Alex Lazar

Is there anyway this could be integrated into Redmine and not be an plugin?  Seems like a pretty fundamental feature that everyone would benefit

from.

#22 - 2012-12-04 07:34 - Toshi MARUYAMA

- Description updated

Fix description typo.

#23 - 2012-12-05 11:51 - Toshi MARUYAMA

Johan Regnell wrote:

Connected by a line or arrow

 I have posted a patch at #3436#note-22.

#24 - 2014-02-08 23:41 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Same as #3436 which was added in 2.3.0.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 3/3

https://www.redmine.org/issues/3436#note-22
https://www.redmine.org/issues/3436
http://www.tcpdf.org

